MAKECATALOG(1)

NAME
MakeCatalog - Make a catalog from labeled input images

SYNOPSIS
astmkcatalog [OPTION...] ASTRdata

DESCRIPTION
MakeCatalog is part of GNU Astronomy Utilities 0.12. MakeCatalog will create a catalog from an input, labeled, and noise images.

For more information, please run any of the following commands. In particular the second contains a very comprehensive explanation of MakeCatalog's invocation: expected input(s), output(s), and a full description of all the options.

All options and their values:
    $ astmkcatalog -P

Inputs/Outputs and options:
    $ info astmkcatalog

Full section in manual/book:
    $ info MakeCatalog

Full Gnuastro manual/book:
    $ info gnuastro

If you couldn't find your answer in the manual, you can get direct help from experienced Gnuastro users and developers. For more information, please run:

    $ info help-gnuastro

MakeCatalog options:

    Input:

--clumpshdu=STR
    Clump labels extension name or number.

--forcereadstd
    Read STD even if no columns need it.

-h, --hdu=STR/INT
    Extension name or number of input data.

-l, --clumpsfile=STR
    Dataset containing clump labels.

-s, --insky=STR/FLT
    Input Sky value or dataset.

--sigmaclip=FLT,FLT
    Sigma-clip column multiple and tolerance.

--skyhdu=STR
    Sky image extension name or number.

--stdhdu=STR
    Sky STD extension name or number.

--subtractsky
    Subtract the Sky dataset from the values.

-t, --instd=STR/FLT
    Sky standard deviation value or dataset.

-v, --valuesfile=STR
    Values/brightness dataset.

--valueshdu=STR
    Name or number of extension containing values.

--variance
    STD input dataset is actually variance.

--zeropoint=FLT
    Zeropoint magnitude of input dataset.

    Tessellation (tile grid):

--checktiles
    Tile IDs in an image, the size of input.

-F, --remainderfrac=FLT
    Fraction of remainder to split last tile.

--interpmetric=INT
    Interpolation metric (radial, manhattan).

-M, --numchannels=INT[,..] No. of channels in dim.s (FITS order).

--oneelempertile
    Display 1 element/tile, not full input res.

-Z, --tilesize=INT[,INT]
    Regular tile size on dim.s (FITS order).

    Output:

-C, --clumpscat
    Make a clumps catalog also.

-D, --dontdelete
    Don't delete output if it exists.

--inbetweenints
    Keep rows (integer ids) with no labels.

-K, --keepinputdir
    Keep input directory for automatic output.

--noclumpsort
    Don't sort the clumps catalog by ID.

-o, --output=STR
    Output file name.

--sfmagarea=FLT
    Surface brightness area (in arcseconds^2).

--sfmagnsigma=FLT
    Surface brightness multiple of Sky STD.

--spectrum
    Object spectrum for cube (3D) datasets.

--tableformat=STR
    Table fmt: 'fits-ascii', 'fits-binary', 'txt'.

    Upper limit magnitude settings:

--checkuplim=INT[,INT] Check random distribution for one label.

-e, --envseed
    Use GSL_RNG_SEED environment variable for seed.

--upmaskfile=STR
    Mask image file name only for upper limit.

--upmaskhdu=STR
    Mask image HDU only for upper limit.

--upnsigma=FLT
    Multiple of sigma to define upperlimit.

--upnum=INT
    Number of randomly positioned samples

--uprange=INT,INT
    Range of random positions (pix) around target.

--upsigmaclip=FLT,FLT
    Sigma multiple and, tolerance or number.

    Identifier columns

-i, --ids
    All IDs of objects and clumps.

--idinhostobj
    ID of clump in host object.

-j, --hostobjid
    ID of object hosting this clump.

--objid
    Object label/ID.

    Positional columns (pixel)

--clumpsgeox
    Geometric center of all clumps in obj. (X).

--clumpsgeoy
    Geometric center of all clumps in obj. (Y).

--clumpsgeoz
    Geometric center of all clumps in obj. (Z).

--clumpsx
    Flux.wht center of all clumps in obj. (X).

--clumpsy
    Flux.wht center of all clumps in obj. (Y).

--clumpsz
    Flux.wht center of all clumps in obj. (Z).

--geox
    Geometric center in first FITS axis.

--geoy
    Geometric center in second FITS axis.

--geoz
    Geometric center in third FITS axis.

--maxx
    Maximum first FITS axis position.

--maxy
    Maximum second FITS axis position.

--maxz
    Maximum third FITS axis position.

--minx
    Minimum first FITS axis position.

--miny
    Minimum second FITS axis position.

--minz
    Minimum third FITS axis position.

-x, --x
    Flux weighted center in first FITS axis.

-y, --y
    Flux weighted center in second FITS axis.

-z, --z
    Flux weighted center in third FITS axis.

    Positional columns (WCS)

--clumpsgeow1
    Geometric center of all clumps in 1st WCS.

--clumpsgeow2
    Geometric center of all clumps in 2nd WCS.

--clumpsgeow3
    Geometric center of all clumps in 3rd WCS.

--clumpsw1
    Flux.wht center of all clumps in 1st WCS.

--clumpsw2
    Flux.wht center of all clumps in 2nd WCS.

--clumpsw3
    Flux.wht center of all clumps in 3rd WCS.

-d, --dec
    Flux weighted center declination.

--geow1
    Geometric center in first WCS axis.

--geow2
    Geometric center in second WCS axis.

--geow3
    Geometric center in third WCS axis.

-r, --ra
    Flux weighted center right ascension.

--w1
    Flux weighted center in first WCS axis.

--w2
    Flux weighted center in second WCS axis.

--w3
    Flux weighted center in third WCS axis.

    Brightness/magnitude related columns

-b, --brightness
    Brightness (sum of pixel values).

--brightnesserr
    Error (1-sigma) in measuring brightness.

--brightnessnoriver
    Sky (not river) subtracted clump brightness.

--clumpbrightness
    Brightness of clumps in an object.

--clumpsmagnitude
    Magnitude of all clumps in object.

-G, --magnitudeerr
    Magnitude error of objects or clumps.

--mean
    Mean of values in object/clump.

--median
    Median of values in object/clump.

-m, --magnitude
    Total magnitude of objects or clumps.

-n, --sn
    Signal to noise ratio of objects or clumps.

--riverave
    Average river value surrounding a clump.

--rivernum
    Number of river pixels around a clump.

--sigclip-mean
    Mean after Sigma-clipping

--sigclip-median
    Median after Sigma-clipping

--sigclip-number
    Number of pixels in Sigma-clipped measurement.

--sigclip-std
    Standard deviation after Sigma-clipping

--sky
    Sky value (per pixel).

--std
    Sky standard deviation (per pixel).

--upperlimit
    Upper-limit value, use other options to config.

-u, --upperlimitmag
    Upper-limit mag. use other options to config.

--upperlimitonesigma
    Upper-limit one sigma value.

--upperlimitquantile
    Quantile in random distribution (max 1).

--upperlimitsigma
    Place in random distribution (sigma multiple).

--upperlimitskew
    (Mean-Median)/STD of random distribution.

    Morphology/shape related columns

-a, --area
    Number of non-blank valued pixels.

--areaxy
    Projected area in first two dimensions.

-A, --semimajor
    RMS along major axis (in pixels).

-B, --semiminor
    RMS along minor axis (in pixels).

-c, --numclumps
    Number of clumps in this object.

--clumpsarea
    Non-blank area covered by clumps.

--geoarea
    Area labled region (irrespective of value).

--geoareaxy
    Projected geoarea in first two dimensions.

--geoaxisratio
    Geometric axis ratio.

--geopositionangle
    Geometric position angle.

--geosemimajor
    RMS along major axis (ignoring value).

--geosemiminor
    RMS along minor axis (ignoring value).

-p, --positionangle
    Flux weighted position angle.

-Q, --axisratio
    Flux weighted axis ratio.

--weightarea
    Area used for value weighted positions.

    Operating modes:

-?, --help
    give this help list

--checkconfig
    List all config files and variables read.

--cite
    BibTeX citation for this program.

--config=STR
    Read configuration file STR immediately.

--lastconfig
    Do not parse any more configuration files.

--minmapsize=INT
    Minimum bytes in array to not use ram RAM.

-N, --numthreads=INT
    Number of CPU threads to use.

--onlyversion=STR
    Only run if the program version is STR.

-P, --printparams
    Print parameter values to be used and abort.

-q, --quiet
    Only report errors, remain quiet about steps.

--quietmmap
    Don't print mmap'd file's name and size.

-S, --setdirconf
    Set default values for this directory and abort.

--usage
    give a short usage message

-U, --setusrconf
    Set default values for this user and abort.

-V, --version
    print program version

Mandatory or optional arguments to long options are also mandatory or optional for any corresponding short options.

GNU Astronomy Utilities home page: http://www.gnu.org/software/gnuastro/

REPORTING BUGS
Report bugs to bug-gnuastro@gnu.org.

COPYRIGHT
Copyright © 2015-2020, Free Software Foundation, Inc. License GPLv3+: GNU General public license version 3 or later.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

Written/developed by Mohammad Akhlaghi

SEE ALSO
The full documentation for MakeCatalog is maintained as a Texinfo manual. If the info and MakeCatalog programs are properly installed at your site, the command

    info MakeCatalog

should give you access to the complete manual.